Skip to main content
`Ctrl`+`K`

# numpy.random.RandomState.bytes

method

random.RandomState.bytes(length)

  Return random bytes.

  Note

  New code should use the `bytes` method of a `Generator` instance instead; please see the Quick start.

  Parameters:
    length int

      Number of random bytes.

  Returns:
    out bytes

      String of length length.

  See also

  `random.Generator.bytes`

    which should be used for new code.

  Examples

      >>> np.random.bytes(10)
      b' eh\x85\x022SZ\xbf\xa4' #random